View Single Post
kevinlamb

 
Member Since: Mar 28, 2013
Posts: 21
kevinlamb is on a distinguished road

kevinlamb is offline
I hate how Apple has been forcing us to upgrade our OS so often. Apple could have stopped at Snow Leopard and that would have been fine by me - I have an iPhone 5 and can't use it on my iMac because my iMac won't support the newest iTunes. And I am furious that ProTools LE software used to cost about $200 and now they want $700 for PTLE10 or $400 for an upgrade for 8. I even bought their crappy new MBox3 which has never worked right. I have never had a piece of Digidesign or Avid hardware that was trouble free....except for the original MBox. Well, the MBox3 is cross-platform. I think it is time to dump ProTools.
QUOTE Thanks